Raritan PX2/PX3 JSON-RPC API: auth::LdapManager_2_0_0 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Public Member Functions | Public Attributes | List of all members
auth::LdapManager_2_0_0 Interface Reference

LDAP server configuration interface. More...

`import"LdapManager.idl";`

## Public Member Functions
vector< ldapsrv::ServerSettings_2_0_0 > | getLdapServers ()
| Get a list of LDAP server settings. More...
int | setLdapServers (in vector< ldapsrv::ServerSettings_2_0_0 > serverList)
| Sets a list of LDAP servers. More...
int | testLdapServer (in string username, in string password, in ldapsrv::ServerSettings_2_0_0 settings, out string diagMsg)
| Tests an LDAP server configuration. More...

## Public Attributes
constant int | ERR_CYCLIC_DEP = 1
| Cyclic dependency in server list.
constant int | ERR_INVALID_CFG = 2
| The server configuration is invalid.
constant int | ERR_SERVER_UNSPECIFIED = 1
| Unspecified error.
constant int | ERR_SERVER_UNREACHABLE = 3
| LDAP server could not be contacted.
constant int | ERR_AUTHENTICATION_FAILED = 4
| User could not be authenticated.
constant int | ERR_NO_ROLES = 5
| No roles are defined for the user.
constant int | ERR_NO_KNOWN_ROLES = 6
| No known rules are defined for the user.

## Detailed Description

LDAP server configuration interface.

## Member Function Documentation

## ◆ getLdapServers()

vector<ldapsrv::ServerSettings_2_0_0> auth::LdapManager_2_0_0::getLdapServers | ( |  | ) |

Get a list of LDAP server settings.

Returns
  list of ldapsrv::ServerSettings

## ◆ setLdapServers()

int auth::LdapManager_2_0_0::setLdapServers | ( | in vector< ldapsrv::ServerSettings_2_0_0 > | serverList | ) |

Sets a list of LDAP servers.

Any existing LDAP Server configuration will be cleared / overwritten.

Returns
  0 on success
  `ERR_CYCLIC_DEP` in case of cyclic dependency
  `ERR_INVALID_CFG` in case of invalid configuration

## ◆ testLdapServer()

int auth::LdapManager_2_0_0::testLdapServer | ( | in string | username,
|  | in string | password,
|  | in ldapsrv::ServerSettings_2_0_0 | settings,
|  | out string | diagMsg
| ) |  |

Tests an LDAP server configuration.

Returns
  0 on success
  `ERR_SERVER_UNSPECIFIED` an unspecified error occurred
  `ERR_INVALID_CFG` LDAP server configuration is invalid (reused from setLdapServers)
  `ERR_SERVER_UNREACHABLE` LDAP server could not be contacted
  `ERR_AUTHENTICATION_FAILED` user could not be authenticated
  `ERR_NO_ROLES` no roles are defined for the user
  `ERR_NO_KNOWN_ROLES` no known roles are defined for the user

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/LdapManager.idl